x264 RPM installed/not installed

Michael Schwendt mschwendt at gmail.com
Tue Feb 5 18:05:16 UTC 2008


On 05/02/2008, Da Rock <rock_on_the_web at hotmail.com> wrote:
>
> > On 05/02/2008, Da Rock  wrote:
> >>
> >> Sounds strange huh?
> >>
> >> I know I've been pesky with 3 threads on the run, but please bear with me.
> >>
> >> I've just installed another repo based on info through the list - livna. Since then I've had some weird errors. The updater offers some 14 updates- which I wasn't able to update based on a missing file required: libx264.so.56.
> >>
> >> So I ran a provides and whatprovides through the cmd yum and it says x264.i386 is to blame. I check if its installed through the software tool and yes it is. So I uninstall and try updating again: it works! But x264 is no longer installed. So I install x264.i386 - only this time its a livna rpm. It installs, but I check mplayer and only 1 option is installed, so no mencoder which is what I need. If I try to install it it says its still missing the shared object library.
> >>
> >> I check again through yum and it says its installed- except its the freshrpms rpm version. Either way I can't get mencoder installed again.
> >>
> >> Any ideas?
> >
> > In the list archives, Jan 29th, subject "‎libx264.so.56, where art
> > thou?" explains in what way livna and freshrpms conflict with regard
> > to the x264 package.
> >
>
> Ok - thanks for the info, but is there no way to rectify the problem? A workaround even?

It should be obvious if you understand the x264 problem and yum's
error messages. Judging from your original message I think you
misunderstand the problem. One work-around is to use either livna or
freshrpms and keep that choice as long as the x264 packages are
incompatible. Don't try to play tricks with --disablerepo= and
--enablerepo= either. mencoder and mplayer are found at livna, too.




More information about the users mailing list